package com.steerinfo.meterwork.meterworkcarmetertime.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="汽车衡计量时间")
public class MeterWorkCarMeterTime implements IBasePO<String> {
    /**
     * 汽车一次计量编号(ACTUAL_FIRST_NO,VARCHAR,55)
     */
    @ApiModelProperty(value="汽车一次计量编号",required=true)
    private String actualFirstNo;

    /**
     * 上秤时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上秤时间",required=false)
    private Date startTime;

    /**
     * 计量开始时间(METER_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量开始时间",required=false)
    private Date meterStartTime;

    /**
     * 计量结束时间(METER_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量结束时间",required=false)
    private Date meterEndTime;

    /**
     * 下秤时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="下秤时间",required=false)
    private Date endTime;

    /**
     * 总计量时间(TOTAL_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="总计量时间",required=false)
    private Short totalNum;

    /**
     * 上秤到判稳计量时间(UP_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="上秤到判稳计量时间",required=false)
    private Short upNum;

    /**
     * 判稳后程序计量时间(METER_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="判稳后程序计量时间",required=false)
    private Short meterNum;

    /**
     * 判稳计量到下秤计量时间(DOWN_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="判稳计量到下秤计量时间",required=false)
    private Short downNum;

    /**
     * 状态（1：有效；0：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（1：有效；0：无效）",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualFirstNo;
    }

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getMeterStartTime() {
        return meterStartTime;
    }

    public void setMeterStartTime(Date meterStartTime) {
        this.meterStartTime = meterStartTime;
    }

    public Date getMeterEndTime() {
        return meterEndTime;
    }

    public void setMeterEndTime(Date meterEndTime) {
        this.meterEndTime = meterEndTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Short getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Short totalNum) {
        this.totalNum = totalNum;
    }

    public Short getUpNum() {
        return upNum;
    }

    public void setUpNum(Short upNum) {
        this.upNum = upNum;
    }

    public Short getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Short meterNum) {
        this.meterNum = meterNum;
    }

    public Short getDownNum() {
        return downNum;
    }

    public void setDownNum(Short downNum) {
        this.downNum = downNum;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", startTime=").append(startTime);
        sb.append(", meterStartTime=").append(meterStartTime);
        sb.append(", meterEndTime=").append(meterEndTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", totalNum=").append(totalNum);
        sb.append(", upNum=").append(upNum);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", downNum=").append(downNum);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}